%define		ocaml_ver	1:3.09.2
Summary:	Lexer for wide encodings
Summary(pl.UTF-8):	Lexer dla dużych kodowań znaków
Name:		ocaml-wlex
Version:	20030827
Release:	18
License:	LGPL
Group:		Development/Tools
URL:		http://www.eleves.ens.fr/home/frisch/soft
# note: no / at the end of URL
Source0:	http://www.eleves.ens.fr/home/frisch/info/wlex-%{version}.tar.gz
# Source0-md5:	4ae79d74436f1004582f8ca12b91ecd9
Patch0:		%{name}-lex-src.patch
Patch1:		%{name}-patch.patch
BuildRequires:	ocaml >= %{ocaml_ver}
BuildRequires:	ocaml-findlib
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Lexer generator for wide encodings (like UTF8) and the associated
runtime system. This package contains files needed to run bytecode
executables using this library.

%description -l pl.UTF-8
Generator lekserów dla dużych kodowań znaków (jak UTF8) oraz system
uruchomieniowy. Pakiet ten zawiera binaria potrzebne do uruchamiania
programów używających tej biblioteki.

%package devel
Summary:	Lexer for wide encodings - development part
Summary(pl.UTF-8):	Lexer dla dużych kodowań znaków - cześć programistyczna
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
%requires_eq	ocaml

%description devel
Lexer generator for wide encodings (like UTF8) and the associated
runtime system. Lexer generator is covered by QPL (as it was derived
from part of OCaml), runtime system is covered by LGPL. This package
contains files needed to develop OCaml programs using this library.

%description devel -l pl.UTF-8
Generator lekserów dla dużych kodowań znaków (jak UTF8) oraz system
uruchomieniowy. Generator jest rozpowszechniany na licencju QPL (jako
że jest on bazowany na części OCamla), system uruchomieniowy natomiast
jest rozpowszechniany na zasadach LGPL. Pakiet ten zawiera pliki
niezbędne do tworzenia programów używających tej biblioteki.

%prep
%setup -q -n wlex-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__make} wlex runtime

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT{%{_bindir},%{_libdir}/ocaml/{site-lib/wlexing,stublibs}}

%{__make} install \
	OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml \
	INSTALL_BIN=$RPM_BUILD_ROOT%{_bindir}

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
cp -r test/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/ocaml/stublibs/*.so

%files devel
%defattr(644,root,root,755)
%doc README RELEASE *.mli
%attr(755,root,root) %{_bindir}/*
%dir %{_libdir}/ocaml/wlexing
%{_libdir}/ocaml/wlexing/META
%{_libdir}/ocaml/wlexing/*.cm[ixa]*
%{_libdir}/ocaml/wlexing/*.a
%{_examplesdir}/%{name}-%{version}
%changelog
* Mon Mar 29 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-wlex.git;a=log;h=master

* Mon Mar 29 2021 Jan Rękorajski <baggins@pld-linux.org> 7c4df8f
- update META file location
- rel 18

* Mon Jun 05 2017 Jan Rękorajski <baggins@pld-linux.org> 1722312
- rebuild with ocaml 4.04.1
- release 17 (by relup.sh)

* Fri Mar 18 2016 Jan Rękorajski <baggins@pld-linux.org> a369292
- release 16 (by relup.sh)

* Sat Jul 25 2015 Jan Rękorajski <baggins@pld-linux.org> d93d720
- release 15 (by relup.sh)

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> 601616b
- rebuild with ocaml 4.02
- release 14 (by relup.sh)

* Mon Jul 18 2011 Jan Rękorajski <baggins@pld-linux.org> 88615fb
- rel 13

* Sat Apr 18 2009 areq <areq@pld-linux.org> 92828e9
- rel 12

* Thu Jul 10 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 3709ee5
- release 11

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> d7785b2
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e117efb
- converted to UTF-8

* Wed May 31 2006 Elan Ruusamäe <glen@pld-linux.org> 6a63508
- rel 10 (rebuild with ocaml-3.09.2)

* Sun Apr 16 2006 Elan Ruusamäe <glen@pld-linux.org> a889d1a
- ocaml epoch is 1

* Sun Apr 16 2006 Elan Ruusamäe <glen@pld-linux.org> bbed491
- ocaml 3.09.1

* Mon Dec 12 2005 Jan Rękorajski <baggins@pld-linux.org> fc68da0
- reverted update

* Mon Dec 12 2005 Jan Rękorajski <baggins@pld-linux.org> e637882
- revert update, there is something fishy about this new version
- looks like new version is broken beyond fixing
- release 7

* Mon Dec 12 2005 Jan Rękorajski <baggins@pld-linux.org> 436c4da
- removed not needed patch

* Mon Dec 12 2005 Jan Rękorajski <baggins@pld-linux.org> e48507a
- i- updated

* Mon Dec 12 2005 Jan Rękorajski <baggins@pld-linux.org> 63c6d6c
- up to 20051031

* Sun Dec 11 2005 Jan Rękorajski <baggins@pld-linux.org> 262ba38
- removed warn-error (some warnings on ocaml 3.09)

* Sun Dec 11 2005 Jan Rękorajski <baggins@pld-linux.org> 603afad
- remove warn-error (some warnings on ocaml 3.09)

